Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.query
Class QueryCallbackClone

    java.lang.Object
      edu.stanford.smi.protege.model.query.QueryCallbackClone

All Implemented Interfaces:
  QueryCallback

    public class QueryCallbackClone

extends Object
implements QueryCallback

Constructor Summary
`QueryCallbackClone(QueryCallback qc)`

Method Summary
`QueryCallback` | `getInnerCallback()`
`void` | `handleError(OntologyException exception)`
`void` | `handleError(ProtegeError error)`
`void` | `handleError(ProtegeIOException exception)`
`void` | `provideQueryResults(Collection<Frame> results)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryCallbackClone

    public QueryCallbackClone(QueryCallback qc)

Method Detail

### getInnerCallback

    public QueryCallback getInnerCallback()

### provideQueryResults

    public void provideQueryResults(Collection<Frame> results)

  Specified by:
    `provideQueryResults` in interface `QueryCallback`

### handleError

    public void handleError(OntologyException exception)

  Specified by:
    `handleError` in interface `QueryCallback`

### handleError

    public void handleError(ProtegeIOException exception)

  Specified by:
    `handleError` in interface `QueryCallback`

### handleError

    public void handleError(ProtegeError error)

  Specified by:
    `handleError` in interface `QueryCallback`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.